/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Window
import QtQuick.Controls
import Mirai

TextField {
	color: MiraiColorPalette.text
	placeholderTextColor: MiraiColorPalette.textPlaceholder
	leftPadding: 10
	implicitHeight: 32

	background: Rectangle {
		color: MiraiColorPalette.fieldBackground
		radius: 4
	}
}
