/* 
 * Mirai. Copyright (C) 2024 Vyn
 * This file is licensed under version 3 of the GNU General Public License (GPL-3.0-only)
 * The license can be found in the LICENSE file or at https://www.gnu.org/licenses/gpl-3.0.txt
 */

import QtQuick
import QtQuick.Window
import QtQuick.Controls
import QtQuick.Layouts
import Mirai

// WIP

ColumnLayout {
	id: form
	spacing: 6
	signal confirmed

	function reset() {
		internal.paths = backend.files.map(file => {
			return {path: file.path, name: file.name}
		})
	}

	QtObject {
		id: internal
		property var paths
	}

	Repeater {
		model: internal.paths
		ColumnLayout {
			AppLineEdit {
				text: modelData.name
			}

			AppLineEdit {
				text: modelData.path
			}
		}
	}

	AppButton {
		text: "Save"
		onClicked: {
			backend.
			form.confirmed()
		}
	}
}

